Bug 1863810 - panic: "invalid memory address or nil pointer dereference" while resyncing
Summary: panic: "invalid memory address or nil pointer dereference" while resyncing
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Danil Grigorev
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 17:27 UTC by Antonio Ojea
Modified: 2020-09-22 02:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-api-operator pull 684 None closed Bug 1863810: - panic: "invalid memory address or nil pointer dereference" while resyncing 2020-09-21 08:21:00 UTC

Comment 2 Joel Speed 2020-08-24 11:17:08 UTC
This error[1] isn't being checked properly, causing the `existing` to be nil and leading to this panic. Handling the error properly should solve this issue. We also need to make sure we add tests for this code as it isn't tested currently.

[1]: https://github.com/openshift/machine-api-operator/blob/79ac5f8a00976701665f8cc42f324cd5a810fcd0/pkg/operator/webhook_configuration.go#L172-L177

Comment 5 sunzhaohua 2020-09-22 02:55:08 UTC
From the test result, didn't meet this again, move this to verified.
https://prow.ci.openshift.org/pr-history/?org=openshift&repo=machine-api-operator&pr=684


Note You need to log in before you can comment on or make changes to this bug.